<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="9531" systemVersion="15E65" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES">
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="9529"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="ChangeUserSignatureViewController">
            <connections>
                <outlet property="textViewTop" destination="CrZ-m0-0RR" id="cyb-aC-84h"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="fh0-t5-q3K">
                    <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                    <subviews>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Wcx-lp-EEk">
                            <rect key="frame" x="0.0" y="20" width="375" height="195"/>
                            <subviews>
                                <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" textAlignment="natural" translatesAutoresizingMaskIntoConstraints="NO" id="CrZ-m0-0RR" customClass="ICRPlaceholderTextView">
                                    <rect key="frame" x="16" y="0.0" width="343" height="195"/>
                                    <color key="backgroundColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                    <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                                </textView>
                            </subviews>
                            <color key="backgroundColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                            <constraints>
                                <constraint firstItem="CrZ-m0-0RR" firstAttribute="leading" secondItem="Wcx-lp-EEk" secondAttribute="leading" constant="16" id="JV9-dz-Azz"/>
                                <constraint firstAttribute="height" constant="195" id="OGo-6g-u6K"/>
                                <constraint firstAttribute="trailing" secondItem="CrZ-m0-0RR" secondAttribute="trailing" constant="16" id="oQR-YG-3QH"/>
                                <constraint firstAttribute="bottom" secondItem="CrZ-m0-0RR" secondAttribute="bottom" id="pCE-a3-8F3"/>
                                <constraint firstItem="CrZ-m0-0RR" firstAttribute="top" secondItem="Wcx-lp-EEk" secondAttribute="top" id="s5U-mq-SFw"/>
                            </constraints>
                        </view>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="请给自己设置一个签名吧！" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="glN-vA-Czn">
                            <rect key="frame" x="16" y="223" width="180" height="18"/>
                            <fontDescription key="fontDescription" type="system" pointSize="15"/>
                            <color key="textColor" red="0.50823958329999996" green="0.50823958329999996" blue="0.50823958329999996" alpha="1" colorSpace="calibratedRGB"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="JdC-lr-SgD">
                            <rect key="frame" x="16" y="286" width="343" height="44"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="300" id="M9a-M3-mOM"/>
                                <constraint firstAttribute="height" constant="44" id="cgr-kR-rN6"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="20"/>
                            <state key="normal" title="保 存" backgroundImage="rigist_btn_bg">
                                <color key="titleColor" red="0.97254901959999995" green="0.97254901959999995" blue="0.97254901959999995" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                            <variation key="default">
                                <mask key="constraints">
                                    <exclude reference="M9a-M3-mOM"/>
                                </mask>
                            </variation>
                            <connections>
                                <action selector="actionChangeSignature:" destination="-1" eventType="touchUpInside" id="zkq-oL-IEi"/>
                                <action selector="actionSaveSignature:" destination="-1" eventType="touchUpInside" id="QEl-RD-3Ux"/>
                            </connections>
                        </button>
                    </subviews>
                    <color key="backgroundColor" red="0.94901960780000005" green="0.94901960780000005" blue="0.94901960780000005" alpha="1" colorSpace="calibratedRGB"/>
                    <constraints>
                        <constraint firstAttribute="bottom" secondItem="Wcx-lp-EEk" secondAttribute="bottom" constant="452" id="9Ce-xB-oAX"/>
                        <constraint firstItem="JdC-lr-SgD" firstAttribute="top" secondItem="glN-vA-Czn" secondAttribute="bottom" constant="45" id="Idc-ER-hL5"/>
                        <constraint firstItem="CrZ-m0-0RR" firstAttribute="leading" secondItem="JdC-lr-SgD" secondAttribute="leading" id="JlO-A4-ynk"/>
                        <constraint firstItem="CrZ-m0-0RR" firstAttribute="leading" secondItem="glN-vA-Czn" secondAttribute="leading" id="VHv-SZ-OZI"/>
                        <constraint firstItem="Wcx-lp-EEk" firstAttribute="leading" secondItem="fh0-t5-q3K" secondAttribute="leading" id="YEX-6e-Nrr"/>
                        <constraint firstItem="Wcx-lp-EEk" firstAttribute="top" secondItem="fh0-t5-q3K" secondAttribute="top" constant="20" id="f3R-Vi-n39"/>
                        <constraint firstItem="CrZ-m0-0RR" firstAttribute="trailing" secondItem="JdC-lr-SgD" secondAttribute="trailing" id="n6o-UV-NcF"/>
                        <constraint firstAttribute="trailing" secondItem="Wcx-lp-EEk" secondAttribute="trailing" id="xTG-aL-2tQ"/>
                        <constraint firstItem="glN-vA-Czn" firstAttribute="top" secondItem="Wcx-lp-EEk" secondAttribute="bottom" constant="8" id="yhw-xB-ZEJ"/>
                    </constraints>
                    <variation key="default">
                        <mask key="constraints">
                            <exclude reference="9Ce-xB-oAX"/>
                        </mask>
                    </variation>
                </view>
            </subviews>
            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="calibratedWhite"/>
            <constraints>
                <constraint firstAttribute="bottom" secondItem="fh0-t5-q3K" secondAttribute="bottom" id="5Qc-Xr-gmr"/>
                <constraint firstItem="fh0-t5-q3K" firstAttribute="top" secondItem="i5M-Pr-FkT" secondAttribute="top" id="Byn-1n-MAq"/>
                <constraint firstItem="fh0-t5-q3K" firstAttribute="leading" secondItem="i5M-Pr-FkT" secondAttribute="leading" id="d9d-20-LaL"/>
                <constraint firstAttribute="trailing" secondItem="fh0-t5-q3K" secondAttribute="trailing" id="jOk-bc-fhq"/>
            </constraints>
            <simulatedScreenMetrics key="simulatedDestinationMetrics" type="retina47"/>
        </view>
    </objects>
    <resources>
        <image name="rigist_btn_bg" width="490" height="65"/>
    </resources>
</document>
